=== debian/changelog ===
yubikey-ksm (1.13-1) unstable; urgency=low

  * Initial package (closes: #698839).

 -- Dain Nilsson <dain@yubico.com>  Wed, 17 Apr 2013 17:53:36 +0200
