## yubikey-ksm 1.14

=== Makefile ===
--- 
+++ 
@@ -26,9 +26,9 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 1.13
+VERSION = 1.14
 PACKAGE = yubikey-ksm
-CODE = .htaccess Makefile NEWS ykksm-config.php ykksm-db.sql	\
+CODE = .htaccess Makefile NEWS README ykksm-config.php ykksm-db.sql	\
 	ykksm-decrypt.php ykksm-export ykksm-gen-keys	\
 	ykksm-import ykksm-utils.php ykksm-checksum
 DOCS = doc/DecryptionProtocol.wiki doc/DesignGoals.wiki		\
@@ -121,7 +121,7 @@
 	fi
 	@head -1 NEWS | grep -q "Version $(VERSION) (released `date -I`)" || \
                 (echo 'error: You need to update date/version in NEWS'; exit 1)
-	@if test ! -d $(YUBICO_GITHUB_REPO); then \
+	@if test ! -d "$(YUBICO_GITHUB_REPO)"; then \
 		echo "yubico.github.com repo not found!"; \
 		echo "Make sure that YUBICO_GITHUB_REPO is set"; \
 		exit 1; \
@@ -129,5 +129,5 @@
 	gpg --detach-sign --default-key $(KEYID) $(PACKAGE)-$(VERSION).tgz
 	gpg --verify $(PACKAGE)-$(VERSION).tgz.sig
 	git tag -u $(KEYID) -m "$(PACKAGE)-$(VERSION)" $(PACKAGE)-$(VERSION)
-	echo "Release created and tagged, remember to git push && git push --tags"
 	$(YUBICO_GITHUB_REPO)/publish $(PROJECT) $(VERSION) $(PACKAGE)-$(VERSION).tgz*
+	@echo "Release created and tagged, remember to git push && git push --tags"
