=== debian/changelog ===
yubikey-ksm (1.14-1) unstable; urgency=low

  * New upstream version.
  * Improve README.source.
  * Change my uploader email address.

 -- Simon Josefsson <simon@yubico.com>  Wed, 18 Sep 2013 14:36:28 +0200
