=== debian/watch ===
version=3
http://yubico.github.com/yubikey-ksm/releases.html .*/yubikey-ksm-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
