=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
  https://developers.yubico.com/yubikey-ksm/releases.html .*/yubikey-ksm-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
